### Type parameters

- #### T

### Hierarchy

- TransactBaseOperation<T, Delete, TransactDelete<T>>
  - TransactDelete

### Implements

- ConditionalParamsHost

## Index

### Constructors

- constructor

### Properties

- metadata
- modelClazz
- params

### Accessors

- transactItem

### Methods

- onlyIf
- onlyIfAttribute
- returnValuesOnConditionCheckFailure

## Constructors

### constructor

- new TransactDelete(modelClazz: ModelConstructor<T>, partitionKey: any, sortKey?: any): TransactDelete

- Overrides TransactBaseOperation.constructor

  - Defined in dynamo/transactwrite/transact-delete.ts:6

  #### Parameters

  - ##### modelClazz: ModelConstructor<T>

  - ##### partitionKey: any

  - ##### Optional sortKey: any

  #### Returns TransactDelete

## Properties

### metadata

metadata: Metadata<T>

Inherited from TransactBaseOperation.metadata

- Defined in dynamo/transactwrite/transact-base-operation.ts:16

### modelClazz

modelClazz: ModelConstructor<T>

Inherited from TransactBaseOperation.modelClazz

- Defined in dynamo/transactwrite/transact-base-operation.ts:17

### params

params: Delete

Implementation of ConditionalParamsHost.params

Inherited from TransactBaseOperation.params

- Defined in dynamo/transactwrite/transact-base-operation.ts:15

## Accessors

### transactItem

transactItem:

Overrides TransactBaseOperation.transactItem

- Defined in dynamo/transactwrite/transact-delete.ts:12

## Methods

### onlyIf

- onlyIf(...conditionDefFns: ConditionExpressionDefinitionFunction[]): TransactDelete<T>

- Inherited from TransactBaseOperation.onlyIf

  - Defined in dynamo/transactwrite/transact-base-operation.ts:41

  #### Parameters

  - ##### Rest ...conditionDefFns: ConditionExpressionDefinitionFunction[]

  #### Returns TransactDelete<T>

### onlyIfAttribute

- onlyIfAttribute<K>(attributePath: K): RequestConditionFunction<TransactDelete<T>, T, K>

- Inherited from TransactBaseOperation.onlyIfAttribute

  - Defined in dynamo/transactwrite/transact-base-operation.ts:37

  #### Type parameters

  - #### K: keyof T

  #### Parameters

  - ##### attributePath: K

  #### Returns RequestConditionFunction<TransactDelete<T>, T, K>

### returnValuesOnConditionCheckFailure

- returnValuesOnConditionCheckFailure(value: DynamoDB.ReturnValuesOnConditionCheckFailure): TransactDelete<T>

- Inherited from TransactBaseOperation.returnValuesOnConditionCheckFailure

  - Defined in dynamo/transactwrite/transact-base-operation.ts:47

  #### Parameters

  - ##### value: DynamoDB.ReturnValuesOnConditionCheckFailure

  #### Returns TransactDelete<T>

Generated using TypeDoc